Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	Perl SOAP::Lite Module
Name:		perl-SOAP-lite
Version:	0.710.10
Release:	1
Group:		Development/Perl
License:	GNU/GPL
URL:		NONE
Source:		SOAP-Lite-%{version}.tar.gz
BuildRoot:	/var/tmp/%{name}-%{version}-buildroot
# shut out AutoRequires as Win32::Registry isn't available on Linux
AutoReq:	no

%define		perlepoch	3
%define		perlversion	5.10.0

Requires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl = %{perlepoch}:%{perlversion}

%description
SOAP::Lite is a collection of Perl modules which provides a simple and lightweight interface to the Simple Object Access Protocol (SOAP) both on client and server side.

%prep
%setup -q -n SOAP-Lite-%{version}

%build
perl Makefile.PL /usr
make

%install
rm -Rf $RPM_BUILD_ROOT 
make install DESTDIR=$RPM_BUILD_ROOT 
# removing unwanted stuff
if [ -f "$RPM_BUILD_ROOT%_libdir/perl5/%{perlversion}/i686-linux-thread-multi/perllocal.pod" ]; then
rm -f $RPM_BUILD_ROOT%_libdir/perl5/%{perlversion}/i686-linux-thread-multi/perllocal.pod
fi

# stripping package
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/SOAPsh.pl                                     
%{_bindir}/XMLRPCsh.pl                                   
%{_bindir}/stubmaker.pl
%{_libdir}/perl5/site_perl/%{perlversion}/Apache/
%{_libdir}/perl5/site_perl/%{perlversion}/SOAP/
%{_libdir}/perl5/site_perl/%{perlversion}/IO
%{_libdir}/perl5/site_perl/%{perlversion}/UDDI
%{_libdir}/perl5/site_perl/%{perlversion}/XML/Parser/Lite.pm
%{_libdir}/perl5/site_perl/%{perlversion}/XMLRPC
%{_libdir}/perl5/site_perl/%{perlversion}/i686-linux-thread-multi/auto/SOAP/Lite/.packlist
%{_mandir}/man1/SOAPsh.pl.1.gz                     
%{_mandir}/man1/XMLRPCsh.pl.1.gz                   
%{_mandir}/man1/stubmaker.pl.1.gz                  
%{_mandir}/man3/Apache::SOAP.3.gz                  
%{_mandir}/man3/Apache::XMLRPC::Lite.3.gz          
%{_mandir}/man3/SOAP::Client.3.gz                  
%{_mandir}/man3/SOAP::Constants.3.gz               
%{_mandir}/man3/SOAP::Data.3.gz                    
%{_mandir}/man3/SOAP::Deserializer.3.gz            
%{_mandir}/man3/SOAP::Fault.3.gz                   
%{_mandir}/man3/SOAP::Header.3.gz                  
%{_mandir}/man3/SOAP::Lite.3.gz                    
%{_mandir}/man3/SOAP::Lite::Packager.3.gz          
%{_mandir}/man3/SOAP::Packager.3.gz                
%{_mandir}/man3/SOAP::SOM.3.gz                     
%{_mandir}/man3/SOAP::Schema.3.gz                  
%{_mandir}/man3/SOAP::Serializer.3.gz              
%{_mandir}/man3/SOAP::Server.3.gz                  
%{_mandir}/man3/SOAP::Test.3.gz                    
%{_mandir}/man3/SOAP::Trace.3.gz                   
%{_mandir}/man3/SOAP::Transport.3.gz               
%{_mandir}/man3/SOAP::Transport::LOOPBACK.3.gz     
%{_mandir}/man3/SOAP::Transport::POP3.3.gz         
%{_mandir}/man3/SOAP::Utils.3.gz                   
%{_mandir}/man3/UDDI::Lite.3.gz                    
%{_mandir}/man3/XML::Parser::Lite.3.gz             
%{_mandir}/man3/XMLRPC::Lite.3.gz                  
%{_mandir}/man3/XMLRPC::Test.3.gz                  
%{_mandir}/man3/XMLRPC::Transport::HTTP.3.gz       
%{_mandir}/man3/XMLRPC::Transport::POP3.3.gz       
%{_mandir}/man3/XMLRPC::Transport::TCP.3.gz 

%changelog
* Wed Dec 23 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.710.10-1
- Initial CCux package release
